Get Orders

GetOrders. Retrieves a set of orders

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Important

We have a version 2.0 of this endpoint, you can review it here

Filters can be generated, for example, by date, number of orders (default is 100), and status. Remember that you can see the available order statuses in the order flows section (Here).

The response fields provided by this API are detailed in the following table:

Field NameTypeDescription
TotalCountUnsignedThis number, shown in the Head section, indicates the total number of all orders for the current filter set in the database
OrderIdUnsignedIdentifier of this order assigned by Falabella Seller Center
CustomerFirstNameStringThe customer's first name
CustomerLastNameStringThe customer's last name
OrderNumberUnsignedThe human-readable order number
PaymentMethodStringThe payment method
RemarksStringA human-readable remark
DeliveryInfoStringInformation about the delivery of this order
PriceFloatThe total amount of this order
GiftOptionBoolean1 if the item is a gift, 0 if not
GiftMessageStringGift message as specified by the customer
CreatedAtDateTimeDate and time the order was placed
UpdatedAtDateTimeDate and time of the last order modification
AddressBillingSubsectionNode containing additional nodes that make up the billing address: First Name, Last Name, Phone, Phone2, Address1, Address2, City, Postal Code, Country
AddressShippingSubsectionNode containing additional nodes that make up the shipping address: First Name, Last Name, Phone, Phone2, Address1, Address2, City, Postal Code, Country
NationalRegistrationNumberStringRequired in some countries
ItemsCountIntegerNumber of items in order
StatusesArrayUnique statuses of the items in the order (hint: you can find all the different status codes in the response example)
PromisedShippingTimesDateTimeIt corresponds to the date on which the order must be delivered to the logistics operator. It is essential to meet this deadline to avoid early or delayed shipment, as any deviation could result in penalties.e
ExtraAttributesString

Extra attributes passed to Falabella Seller Center in the getMarketPlaceOrders call.

It is a JSON string that the client must parse.

ExtraBillingAttributesStringNode containing additional billing information: LegalId, FiscalPerson, DocumentType, ReceiverRegion, ReceiverAddress, ReceiverPostcode, ReceiverLegalName, ReceiverMunicipality, ReceiverTypeRegimen, CustomerVerifierDigit
ShippingTypeStringFulfillment and delivery mode of the order. ¹
InvoiceRequiredBooleanReturns True ('Factura empresa' in Colombia) if the document is an invoice, and False if it is a receipt ('Factura persona natural' in Colombia).

¹ - This field can be used to differentiate the fulfillment mode and add decision rules for stock consumption in integrators' inventory management systems, as shown in the following examples:

  • When ShipmenType is Dropshipping, orders are Fulfilled by the seller, so they should consume stock as they are prepared in their own warehouses;
  • When ShipmenType is Own Warehouse, these orders are Fulfilled by Falabella and should not consume stock because it has already been delivered to Falabella.com for fulfillment on behalf of the seller.


📘

Receipt or Invoice?

As shown in the table above, the 'InvoiceRequired' field indicates whether the sale was made with a receipt ('Factura persona natural' in Colombia) or an invoice ('Factura empresa' in Colombia). It will return 'True' if it is an invoice and 'False' if it is a receipt.

If it is an invoice ('Factura empresa' in Colombia), the API will return a series of fields with relevant information for billing, presented in the following table.

FieldClarificationDescription
ReceiverLegalNameLegal entity nameRefers to the business to be invoiced.
ReceiverAddressAddressAddress for invoicing.
ReceiverRegionRegion (Chile) / Department (Peru) / Department (Colombia)Location of the address
ReceiverMunicipalityCommune (Chile) / Province (Peru) / City or Municipality (Colombia)Zone where the address is located
FiscalPersonFiscal personIdentification of the business
DocumentTypeDocument typeType of identification document of the taxpayer role of the legal entity.
LegalIdLegal IDNumber of the document identified in the 'Document Type' field with verifier digit
ReceiverTypeRegimenEconomic activityCode and name of the activity or industry of the legal entity.
CustomerVerifierDigitVerifier digitVerifier digit of the 'legal identifier'.
ReceiverEmailEmailEmail to associate with the Invoice
ReceiverPhonenumberPhonePhone number to associate with the Invoice

Errors


Error CodeMessage
14E014: "%s" Invalid Offset
17E017: "%s" Invalid Date Format
19E019: "%s" Invalid Limit
36E036: Invalid status filter
74E074: Invalid sort direction.
75E075: Invalid sort filter.
Query Params
string
required
Defaults to GetOrders

Name of the function to be called. Required and must be 'GetBrands' in this case. If omitted, an error 'E001: Parameter Action is mandatory' is returned. If an unknown function string is provided, an error message 'E008: Invalid Action' is returned.

string
enum
required
Defaults to XML

If provided, it must be 'JSON' or 'XML'. If not provided, 'XML' is assumed.

Allowed:
date-time
required

The current time in ISO8601 format relative to UTC (e.g., Timestamp = 2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by a third party intercepting them (i.e., calls too far in the past or future will produce an error message). Required. If not provided, the error message 'E001: Parameter Timestamp is mandatory' appears. If the timestamp is too old or in the future, an error message "E003: Timestamp has expired" is returned.

string
required

The ID of the user making the call. The list of authorized users is maintained in the Seller Center web interface under General Settings / Manage Users.

string
required

The API version against which this call will be executed, in major-dot-minor format. It must currently be 1.0, although the actual API version is 2.6.20. If omitted, an error message "E001: Parameter Version is mandatory" is returned.

string
required

The cryptographic signature that authenticates the request. A caller must create this value by calculating the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Required. If omitted, an error message "E001: Parameter Signature is mandatory" is returned. If the signature is incorrect, an 'E007: Login failed' error message for signature mismatch is returned.

date

Limita la lista de pedidos devuelta a los creados después o en una fecha especificada, dada en formato de fecha ISO 8601. O bien CreatedAfter o bien UpdatedAfter son obligatorios o bien se devolverá un error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' será devuelto.

date

Limits the list of orders returned to those created on or before a specified date, provided in ISO 8601 date format. Optional.

date

Limits the list of orders returned to those updated on or after a specified date, provided in ISO 8601 date format. Either UpdatedAfter or CreatedAfter is mandatory, or an error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' will be returned. Note: UpdatedAfter is not related to the order's updateAt, but rather to the createAt of the order's sales history. In version 2.0, the address of the updated order is used, not the item's order history.

date

Limits the list of orders returned to those updated on or before a specified date, provided in ISO 8601 date format. Optional. Note: UpdatedBefore is not related to the order's updateAt, but rather to the createAt of the sales item history. In version 2.0, the address of the updated order is used, not the item's order history.

int32

The maximum number of orders to be returned, default is 100 (maximum value).

int32

The number of orders to skip at the beginning of the list (i.e., an offset in the result set; along with the Limit parameter, simple pagination of the result set is possible; when paginating through results, keep in mind that the order list may change during pagination).

string

When set, limits the set of orders returned to those matching the provided status. Possible values are pending, canceled, ready_to_ship, delivered, returned, shipped, and failed.

string

Allows selection of the sorting column. Possible values are created_at, updated_at. In version 2.0, it is fixed to updated_at and cannot be changed.

string

Specifies the sorting order. Possible values are ASC, DESC.

string
enum

Specifies the order fulfillment model. For Fulfillment by Seller or orders assembled by the supplier, the value is dropshipping; and for Fulfillment by Falabella or orders assembled by Falabella on behalf of the seller, the value is own_warehouse.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json